commit:     e2934ce98d0fc312cdc6dc54da3f62446b8522d1
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon Mar 16 20:05:31 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Mar 16 20:05:31 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e2934ce9

dev-python/fslpy: version bump 2.8.4

and PYTHON_COMPAT upgrade to 3.7

Package-Manager: Portage-2.3.92, Repoman-2.3.20
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 dev-python/fslpy/fslpy-2.8.4.ebuild | 42 +++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-python/fslpy/fslpy-2.8.4.ebuild 
b/dev-python/fslpy/fslpy-2.8.4.ebuild
new file mode 100644
index 000000000..0d5764e43
--- /dev/null
+++ b/dev-python/fslpy/fslpy-2.8.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 python3_7 )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="The FSL Python Library"
+HOMEPAGE="https://git.fmrib.ox.ac.uk/fsl/fslpy";
+SRC_URI="https://github.com/pauldmccarthy/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       dev-python/h5py[${PYTHON_USEDEP}]
+       dev-python/indexed_gzip[${PYTHON_USEDEP}]
+       =dev-python/numpy-1*[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       =dev-python/six-1*[${PYTHON_USEDEP}]
+       dev-python/trimesh[${PYTHON_USEDEP}]
+       =dev-python/wxpython-4*[${PYTHON_USEDEP}]
+       =sci-libs/Rtree-0.8.3*[${PYTHON_USEDEP}]
+       >=sci-libs/nibabel-2.3.1[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+"
+
+PATCHES=( "${FILESDIR}/fslpy-2.7.0-coverage.patch" )
+
+python_test() {
+       virtx pytest -m "not (dicomtest or fsltest)" --verbose || die
+}

Reply via email to